mdns_priv.h File Reference
`#include "lwip/apps/mdns.h"`
`#include "lwip/apps/mdns_opts.h"`
`#include "lwip/pbuf.h"`

## Data Structures

struct | mdns_request
struct | mdns_service
struct | mdns_outpacket
struct | mdns_outmsg
struct | mdns_delayed_msg
struct | mdns_host

## Functions

struct mdns_host * | netif_mdns_data (struct netif *netif)
struct udp_pcb * | get_mdns_pcb (void)

## Detailed Description

MDNS responder private definitions

## Function Documentation

## get_mdns_pcb()

struct udp_pcb* get_mdns_pcb | ( | void |  | ) |

Construction to access the mdns udp pcb.

Returns
  udp_pcb struct of mdns

## netif_mdns_data()

struct mdns_host* netif_mdns_data | ( | struct netif * | netif | ) |

Construction to make mdns struct accessible from mdns_out.c TODO: can we add the mdns struct to the netif like we do for dhcp, autoip,...? Then this is not needed any more.

Parameters

  netif | The network interface

Returns
  mdns struct